summaryrefslogtreecommitdiffstats
path: root/doc/do_docs
diff options
context:
space:
mode:
authorJoel Sherrill <joel.sherrill@OARcorp.com>1997-05-27 12:40:11 +0000
committerJoel Sherrill <joel.sherrill@OARcorp.com>1997-05-27 12:40:11 +0000
commitae68ff085724dd35d60151bd153e80b8b0776873 (patch)
tree2f1535a0497f5b872a4744ae13c9264b77e89c11 /doc/do_docs
parentThis commit was generated by cvs2svn to compensate for changes in r832, (diff)
downloadrtems-ae68ff085724dd35d60151bd153e80b8b0776873.tar.bz2
Initial revision
Diffstat (limited to 'doc/do_docs')
-rwxr-xr-xdoc/do_docs18
1 files changed, 18 insertions, 0 deletions
diff --git a/doc/do_docs b/doc/do_docs
new file mode 100755
index 0000000000..debf0b3cbb
--- /dev/null
+++ b/doc/do_docs
@@ -0,0 +1,18 @@
+#! /bin/sh
+
+basedir=$1
+shift
+manuals="develenv hppa1_1 i386 i960 m68k relnotes sparc user"
+# posix_test_plan manual left out in 4.0.0
+
+for action in $*
+do
+ for manual in $manuals
+ do
+ echo
+ echo "*** make $action on ${basedir}/${manual} ***"
+ echo
+ cd ${basedir}/${manual}
+ gmake $action || exit $?
+ done
+done